JFLAGS = -encoding ISO8859_1
JC  = javac
JVM = java
JD  = javadoc
JR  = jar

.SUFFIXES: .java .class

.java.class:
	$(JC) -g $(JFLAGS) *.java

CLASSES = \
        BatteryPanel.java \
        Communicator.java \
        ConfigCOMFrame.java \
        GraphPanel.java \
        GUIApplication.java \
        GUIFrame.java \
        InfoPanel.java \
        PanelSolar.java \
        WelcomeFrame.java \
        
MAIN = GUIAppication

default: classes

classes: $(CLASSES:.java=.class)

run:
	$(JVM) $(MAIN)

jar:
	$(JR) -cmf manifest.txt GUI-Usolem.jar ./org/ *.class

doc:
	$(JD) $(JFLAGS) -d documentation *.java
    
clean:
	$(RM) *.class
